# ----------------------------------------------------------------------------

import time
import serial

# ----------------------------------------------------------------------------

com_port = 'COM8'

# ----------------------------------------------------------------------------


def main():

    # -------------------------------------------------------------

    ser = serial.Serial(com_port, timeout=5)
    ser.baudrate = 9600
    ser.flush()
    time.sleep(5)

    print(ser.name)

    # -------------------------------------------------------------

    value_to_send = 'Hello\n'
    ser.write(value_to_send.encode())

    line = ser.readline().decode('latin-1')[:-2]

    print(value_to_send)
    print(line)

    line = ser.readline().decode('latin-1')[:-2]

    # -------------------------------------------------------------

    time.sleep(1)

    # -------------------------------------------------------------

    value_to_send = 'Goodbye\n'
    ser.write(value_to_send.encode())

    line = ser.readline().decode('latin-1')[:-2]

    print(value_to_send)
    print(line)

    line = ser.readline().decode('latin-1')[:-2]


# ----------------------------------------------------------------------------

if __name__ == '__main__':

    main()

# ----------------------------------------------------------------------------
