# ----------------------------------------------------------------------------

import time
import serial

# ----------------------------------------------------------------------------

com_port = 'COM8'

# ----------------------------------------------------------------------------


def main():

    # -------------------------------------------------------------

    ser = serial.Serial(com_port, timeout=5)
    ser.baudrate = 9600
    ser.flush()
    time.sleep(5)

    # -------------------------------------------------------------

    print(ser.name)

    # -------------------------------------------------------------

    for i in range(0, 3):

        line = ser.readline().decode('latin-1')[:-2]
        print(line)

    # -------------------------------------------------------------

    value_to_send = 'calculate(1.0, 2.0, 3.0)\n'
    print(value_to_send)
    ser.write(value_to_send.encode())

    # -------------------------------------------------------------
    time.sleep(1)

    # -------------------------------------------------------------

    for i in range(0, 10):

        line = ser.readline().decode('latin-1')[:-2]
        print(line)


# ----------------------------------------------------------------------------


if __name__ == '__main__':

    main()

# ----------------------------------------------------------------------------
